org.apache.hc.client5.http.impl.auth

## Class AuthChallengeParser

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.AuthChallengeParser

    public class AuthChallengeParser
    extends Object

### Field Summary

Fields
`static AuthChallengeParser` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`AuthChallengeParser()`

### Method Summary

Methods
`List<AuthChallenge>` `parse(ChallengeType challengeType, CharSequence buffer, org.apache.hc.core5.http.message.ParserCursor cursor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final AuthChallengeParser INSTANCE

### Constructor Detail

#### AuthChallengeParser

    public AuthChallengeParser()

### Method Detail

#### parse

    public List<AuthChallenge> parse(ChallengeType challengeType,
                            CharSequence buffer,
                            org.apache.hc.core5.http.message.ParserCursor cursor)
                              throws org.apache.hc.core5.http.ParseException

Throws:
  `org.apache.hc.core5.http.ParseException`